meta-google: gbmc-mac-config: Use ipmi_fru_alloc

This will allow us to implement other types of FRU path lookup
mechanisms beyond the OF name one that is currently in use. This change
is fully backward compatible.

Change-Id: Icedecedc9fcaad75fa32c23142a0fd3dfa7f6c0d
Signed-off-by: William A. Kennington III <wak@google.com>
diff --git a/meta-google/recipes-google/networking/files/gbmc-mac-config.sh.in b/meta-google/recipes-google/networking/files/gbmc-mac-config.sh.in
index a3430a6..fa2f4bf 100644
--- a/meta-google/recipes-google/networking/files/gbmc-mac-config.sh.in
+++ b/meta-google/recipes-google/networking/files/gbmc-mac-config.sh.in
@@ -15,7 +15,7 @@
 
 source /usr/share/ipmi-fru/lib.sh || exit
 
-eeprom="$(of_name_to_eeprom '@EEPROM@')" || exit
+ipmi_fru_alloc '@EEPROM@' eeprom || exit
 
 header=()
 read_header "$eeprom" header || exit